@media (min-width: 981px) {
  html,
  body,
  .container {
    height: auto;
  }
}

.page-title,
.breadcrumbs,
.main-nav .home-btn,
.inner-container {
  display: none;
}

/* Top Bar 
---------- */

@media (max-width: 980px) {
  .top-bar {
    display: flex;
    flex-direction: column;
  }

  .scrolling-banner {
    order: 2;
  }

  .interactive-bar {
    order: 1;
  }
}

/* Scrolling Banner
------------------- */
.scrolling-banner {
  color: #fff;
}

@media (min-width: 981px) {
  .scrolling-banner {
    font-size: 2rem;
    line-height: 5.1rem;
    width: 100%;
  }
}

@media (max-width: 980px) {
  .scrolling-banner {
    padding: 1.4rem 0;
    font-size: 1.6rem;
    background: var(--primary-color);
  }
}

.home-link {
  pointer-events: none;
}

/* Slideshow
------------ */

.home-full-width-slideshow {
  height: 300px;
}

@media (min-width: 981px) {
  .img-wrap {
    height: 100vh;
   }

  .home-full-width-slideshow {
    position: absolute;
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
  }
}

@media (max-width: 980px) {
  .img-wrap {
    display: block;
  }

  .home-full-width-slideshow {
    position: relative;
    margin: 44px 20px 0;
    width: calc(100% - 40px)!important;
    border-radius: 12px;
    overflow: hidden;
    box-shadow: 1px 1.732px 6.72px 0.28px rgba(0, 0, 0, 0.15);
    z-index: 1;
  }
}

@media (max-width: 640px) {
  .home-full-width-slideshow {
    margin: 14px 10px 0;
    width: calc(100% - 20px)!important;
  }
}

/* Home Content
--------------- */

@media (min-width: 981px) {
  .home-content {
    position: relative;
    width: 100%;
    height: 79vh;
    min-height: 520px;
    z-index: 1;
  }
}

@media (max-width: 980px) {
  .home-content {
    margin-top: -12px;
    padding: 0 20px;
  }
}

@media (max-width: 640px) {
  .home-content {
    padding: 0 10px;
  }
}

/* Values */

.values-block h2 {
  font-weight: 900;
  color: #fff;
}

.values-list-item {
  display: none;
  font-family: 'Merriweather', serif;
  font-weight: 900;
  color: #fff;
}
.values-list {
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: 1fr;
  grid-column-gap: 0px;
  grid-row-gap: 0px;
}
.values-list-item {
  display: block;
  grid-area: 1 / 1 / 2 / 2;
  opacity: 0;
  visibility: hidden;
  transition: opacity .3s ease, visibility 0s ease .3s;
}
.values-list-item.v-show {
  visibility: visible;
  opacity: 1;
  transition: opacity .3s ease .2s, visibility 0s ease .2s;

}

@media (min-width: 981px) {
  .values-block {
    position: absolute;
    top: 53px;
    left: 33px;
  }

  .values-block h2 {
    font-size: 2rem;
    text-shadow: 0px 0px 3.96px rgba(0, 0, 0, 0.56);
  }

  .values-list-item {
    font-size: 4.5rem;
    text-shadow: 0px 0px 3.96px rgba(0, 0, 0, 0.56);
  }
}

@media (max-width: 980px) {
  .values-block {
    margin-bottom: 4.6rem;
    padding: 3rem 1rem 1rem;
    background: var(--primary-color);
    border-radius: 0px 0px 12px 12px;
    text-align: center;
  }
  
  .values-block h2 {
    font-size: 1.6rem;
  }

  .values-list-item {
    font-size: 3.5rem;
  }
}

@media (max-width: 640px) {
  .values-block {
  margin-bottom: 1.6rem;
  }
}

/* Right Block */

.media-button {
  border: none;
  padding 0;
}

.media-button, 
.right-link {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100%;
  background: var(--secondary-color);
  border: var(--custom-border);
  transition: background 0.2s;
}

.media-button[aria-expanded="true"],
.media-button:focus,
.media-button:hover,
.right-link:focus,
.right-link:hover {
  background: var(--dark-color);
}

.media-icon,
.right-icon,
.right-link svg {
  margin-bottom: 7px;
  width: 4.2rem;
  height: 4.2rem;
  fill: #000;
  color: #000;
  font-size: 3em;
}

.button-text {
  font-family: 'Lato', sans-serif;
}

.button-text,
.link-text {
  font-weight: 900;
  font-size: 1.6rem;
  color: #fff;
}

.right-block .link-text,
.right-block .button-text {
  color: #000;
}

.media-content {
  display: none;
  background: #fff;
}

.media-content.active {
  display: block;
}

.media-link-list {
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  align-items: center;
  width: 100%;
  height: 100%;
}

.media-link-list-item a {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0.5rem 1rem;
  border: var(--custom-border);
  border-radius: 12px;
  color: #fff;
  transition: background 0.2s;
  margin: 5px 0;
}

.twitter-link {
  background: #1177b6;
}



.instagram-link {
  background: #4e58cd;
}

.facebook-link {
  background: #1573e5;
}

.linkedin-link {
  background: #007bb5;
}

.twitter-link .media-link-icon {
  color: #1177b6;
}

.instagram-link .media-link-icon {
  color: #4e58cd;
}

.facebook-link .media-link-icon {
  color: #1573e5;
}

.linkedin-link .media-link-icon {
  color: #007bb5;
}





.media-link-list-item a:focus,
.media-link-list-item a:hover {
  background: var(--dark-color);
}

.media-link-icon {
  margin-right: 1.1rem;
  width: 2.5rem;
  height: 2.5rem;
  background: #fff;
  border-radius: 50%;
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: center;
  align-content: stretch;
  align-items: center;
}

.media-link-text span {
  display: block;
  font-weight: 900;
}

@media (min-width: 981px) {
  .right-block {
    display: flex;
    flex-direction: column;
    position: absolute;
    margin-top: -6rem;
    right: 0;
    top: 50%;
    transform: translateY(-50%);
  }

  .right-link {
    margin-top: 1.1rem;
  }

  .media-button, 
  .right-link {
    width: 100%;
    padding: 13px 0.9rem;
    border-right: none;
    border-radius: 10px 0px 0px 10px;
  }

  .link-text span {
    display: block;
    text-align: center;
  }

  .media-content {
    position: absolute;
    top: 0;
    left: -19.3rem;
    width: 18.8rem;
    /* height: 19.7rem; */ /* For when FB is active */
    height: auto;
    padding: 1em 0;
    border-radius: 10px;
  }
}

@media (max-width: 980px) {
  .media-block,
  .right-link {
    margin-bottom: 3.6rem;
  }
  
  .media-button,
  .right-link {
    padding: 1.5rem 1rem;
    border-radius: 12px;
  }

  .media-button[aria-expanded="true"] {
    border-radius: 12px 12px 0 0;
  }

  .media-content {
    padding: 1.8rem 2.5rem;
    box-shadow: 0px 3px 6px 0px rgba(0, 0, 0, 0.16);
    border-radius: 0 0 12px 12px;
  }

  .media-link-list-item {
    width: 100%;
  }

  .media-link-list-item:not(:first-child) {
    margin-top: 1rem;
  }
}

@media (max-width: 640px) {
  .media-block,
  .right-link {
    margin-bottom: 1rem;
  }
}

/* Bottom Blocks */

.bottom-button {
  text-align: center;
  display: block;
  padding: 1.5rem 1rem;
  background: var(--primary-color);
  border: var(--custom-border);
  border-radius: 12px;
  box-shadow: 0px 3px 6px 0px rgba(0, 0, 0, 0.16);
  transition: background 0.2s, border 0.2s;
}

.bottom-button[aria-expanded="true"],
.bottom-button:focus,
.bottom-button:hover {
  background: #fff;
}

.button-text {
  font-family: 'Lato', sans-serif;
  font-weight: 900;
  transition: color 0.2s;
  pointer-events: none;
}

.bottom-button[aria-expanded="true"] .button-text,
.bottom-button:focus .button-text,
.bottom-button:hover .button-text {
  color: var(--primary-color);
}

.bottom-content {
  display: none;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  background: #fff;
  border-radius: 10px;
}

.bottom-content.active {
  display: flex;
}

.bottom-content-header {
  font-weight: 900;
  font-size: 2rem;
  color: var(--primary-color);
}

.bottom-cta {
  display: block;
  padding: 1.3rem 1.7rem;
  background: #2d7004;
  border-radius: 12px;
  box-shadow: 0px 3px 6px 0px rgba(45, 112, 4, 0.16);
  font-weight: bold;
  color: #fff;
  transition: background 0.2s;
}

.bottom-cta:focus,
.bottom-cta:hover {
  background: var(--dark-color);
  color: #fff;
}

@media (min-width: 981px) {
  .bottom-blocks {
    position: absolute;
    bottom: 15.1rem;
    right: 50%;
    transform: translateX(50%);
  }

  .bottom-content-list {
    display: flex;
    justify-content: space-around;
    align-items: center;
  }

  .bottom-content-list-item {
    position: relative;
  }

  .bottom-content-list-item:not(:first-of-type) {
    margin-left: 2.1rem;
  }

  .bottom-button {
    width: 16.5rem;
  }

  .bottom-content {
    position: absolute;
    padding: 2.5rem 5.8rem;
    bottom: calc(100% + 2.5em);
    right: 50%;
    transform: translateX(50%);
    width: 56.8rem;
    height: 30rem;
    display: flex;
    visibility: hidden;
    opacity: 0;
    transform: translateY(1em) translateX(50%);
    transition: transform .15s ease, opacity .15s ease, visibility 0s ease .15s;
  }
  .bottom-content.active {
    visibility: visible;
    opacity: 1;
    transform: translateY(0) translateX(50%);
    transition: transform .3s ease, opacity .3s ease, visibility 0s ease 0s;
  }

  .welcome-text {
    margin: 3rem 0;
    display: -webkit-box;
    -webkit-line-clamp: 5;
    -webkit-box-orient: vertical;
    overflow: hidden;
    width: 100%;
  }
  .text__container {
    position: relative;
    width: 100%;
    max-height: 200px;
    margin: 1.5em 0;
    overflow: hidden;
    overflow-y: auto;
    scrollbar-width: thin;
    scrollbar-color: var(--primary-color) rgba(0,0,0,.2);
    -ms-overflow-style: -ms-autohiding-scrollbar;   
    max-width: 100%;
    word-break: break-word;    
  }
  .text__container::-webkit-scrollbar {
    width: 7px;
  }
  
  .text__container::-webkit-scrollbar-track {
      background-color: rgba(0,0,0,.2);
  }
  .text__container::-webkit-scrollbar-thumb {
      background-color: var(--primary-color);
  }
}

@media (max-width: 1350px) and (min-width: 981px) {
  .bottom-content-list-item:first-child .bottom-content {
    right: auto;
    left: 0;
    transform: none;
  }
  
  .bottom-content-list-item:last-child .bottom-content {
    right: 0;
    transform: none;
  }
}

@media (max-width: 1150px) and (min-width: 981px) {
  .bottom-content-list-item:not(:first-of-type) {
    margin-left: 1rem;
  }

  .bottom-button {
    width: 13.8rem;
  }
}

@media (max-width: 980px) {
  .bottom-button[aria-expanded="true"],
  .bottom-button:focus,
  .bottom-button:hover {
    border: 3px solid rgb(12,18,102,0.6);
  }

  .bottom-content-list-item:not(:first-child) {
    margin-top: 2.5rem;
  }
  
  .bottom-button {
    width: 100%;
  }

  .bottom-content {
    margin-top: 1.6rem;
    padding: 2rem;
    border: 3px solid var(--primary-color);
  }
}

@media (max-width: 640px) {
  .bottom-content-list-item:not(:first-child) {
    margin-top: 1rem;
  }
}

/* Welcome */

.welcome-text {
  line-height: 1.5;
}

@media (min-width: 981px) {
  .welcome-text {
    margin: 3rem 0;
    display: -webkit-box;
    -webkit-line-clamp: 5;
    -webkit-box-orient: vertical;
    overflow: hidden;
  }
}

@media (max-width: 980px) {
  .welcome-text {
    margin: 2rem 0;
  }
}

/* Updates/Calender 
--------------------*/

.updates-feed-list,
.calendar-feed-list {
  display: flex;
  width: 100%;
}

.updates-feed-list-item,
.calendar-feed-list-item {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
  padding: 0 10px;
}

.updates-feed-icon {
  margin-bottom: 1.6rem;
  width: 4.8rem;
  height: 4.8rem;
  fill: #6e9451;
}

.updates-feed-list-item-title,
.calendar-feed-list-item-title {
  max-width: 180px;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  font-weight: 900;
  font-size: 1.6rem;
  color: #2d7004;
}

.updates-feed-list-item-date,
.calendar-feed-list-item-date-time {
  margin-top: 0.4rem;
  font-size: 1.6rem;
}

.updates-feed-empty,
.calendar-feed-empty {
  margin: 10px 0;
}

@media (min-width: 981px) {
  .updates-feed-list, 
  .calendar-feed-list {
    margin: 3.7rem 0;
  }
}

@media (max-width: 980px) {
  .updates-feed-list, 
  .calendar-feed-list {
    margin: 2rem 0;
  }
}

@media (max-width: 640px) {
  .updates-feed-list, 
  .calendar-feed-list {
    flex-direction: column;
  }

  .updates-feed-list:not(:first-of-type), 
  .calendar-feed-list:not(:first-of-type) {
    margin-top: 1rem;
  }
}

/* House Points */

.house-list {
  display: flex;
  justify-content: space-between;
  width: 100%;
}

.house-list-item {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.house-shape {
  display: block;
  margin-bottom: 12px;
  width: 9.8rem;
  height: 9.8rem;
  border-radius: 12px;
}

.house-one .house-shape {
  background: #f8ea08;
}

.house-two .house-shape {
  background: #122c94;
}

.house-three .house-shape {
  background: #f81717;
}

.house-four .house-shape {
  background: #1a8838;
}

.house-num {
  font-weight: bold;
  min-height: 2rem;
  max-width: 4rem;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

@media (min-width: 981px) {
  .house-list {
    margin-top: 42px;
  }
}

@media (max-width: 980px) {
  .house-list {
    margin-top: 2rem;
  }
}

@media (max-width: 640px) {
  .house-list {
    flex-direction: column;
  }

  .house-list-item:not(:first-of-type) {
    margin-top: 2rem;
  }
}

/* School Video */

.video-wrap {
  width: 44.4rem;
  height: 25rem;
  background: #000;
  border-radius: 12px;
  overflow: hidden;
}

.video-wrap video {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

@media (min-width: 981px) {
}

@media (max-width: 640px) {
  .video-wrap {
    width: 100%;
  }
}

/* Awards */

/* Scrolling Awards Bar */
@-webkit-keyframes awards-move {
  from {
    -webkit-transform: translateX(0);
    transform: translateX(0);
  }
  to {
    -webkit-transform: translateX(-1390px);
    transform: translateX(-1390px);
  }
}

@-moz-keyframes awards-move {
  from {
    -moz-transform: translateX(0);
    transform: translateX(0);
  }
  to {
    -moz-transform: translateX(-1390px);
    transform: translateX(-1390px);
  }
}

@keyframes awards-move {
  from {
    transform: translateX(0);
  }
  to {
    transform: translateX(-1390px);
  }
}

.awards-block {
  position: relative;
  width: 100%;
  height :100px;
  background: #fff;
  overflow: hidden;
}

.cp-awards-move {
  z-index: 100;
  position: absolute;
  left: 0;
  top: 0;
  bottom: 0;
  right: -1390px;/* width of awards.png graphic */
/*   background: url(/_site/images/design/migrated/awards.png) left center repeat-x; */
  -webkit-animation: awards-move 30s linear infinite;/* You might need to change the speed depending on awards bar dimensions */
  -mozt-animation: awards-move 30s linear infinite;/* You might need to change the speed depending on awards bar dimensions */
  animation: awards-move 30s linear infinite; /* You might need to change the speed depending on awards bar dimensions */
}

@media (min-width: 981px) {
  .awards-block {
    position: absolute;
    bottom: 0;
  }
}

@media (max-width: 980px) {
  .awards-block {
    margin-top: 2.6rem;
  }
}
